Remove from allowlist
curl --request DELETE \
--url https://api.privy.io/v1/apps/{app_id}/allowlist \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--header 'privy-app-id: <privy-app-id>' \
--data '
{
"type": "email",
"value": "[email protected]"
}
'HttpResponse<String> response = Unirest.delete("https://api.privy.io/v1/apps/{app_id}/allowlist")
.header("privy-app-id", "<privy-app-id>")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/json")
.body("{\n \"type\": \"email\",\n \"value\": \"[email protected]\"\n}")
.asString();const options = {
method: 'DELETE',
headers: {
'privy-app-id': '<privy-app-id>',
Authorization: 'Basic <encoded-value>',
'Content-Type': 'application/json'
},
body: JSON.stringify({type: 'email', value: '[email protected]'})
};
fetch('https://api.privy.io/v1/apps/{app_id}/allowlist', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.privy.io/v1/apps/{app_id}/allowlist",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_POSTFIELDS => json_encode([
'type' => 'email',
'value' => '[email protected]'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/json",
"privy-app-id: <privy-app-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.privy.io/v1/apps/{app_id}/allowlist"
payload := strings.NewReader("{\n \"type\": \"email\",\n \"value\": \"[email protected]\"\n}")
req, _ := http.NewRequest("DELETE", url, payload)
req.Header.Add("privy-app-id", "<privy-app-id>")
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"message": "Successfully deleted from allowlist"
}Allowlist
Remove from allowlist
Remove an entry from the allowlist for an app. The allowlist must be enabled.
DELETE
/
v1
/
apps
/
{app_id}
/
allowlist
Remove from allowlist
SDK methods
Learn more about managing your allowlist using our SDKs here.Authorizations
Basic Auth header with your app ID as the username and your app secret as the password.
Headers
ID of your Privy app.
Path Parameters
The ID of the app.
Body
application/json
Response
200 - application/json
Confirmation of deletion.
Confirmation response for deleting an allowlist entry.
Was this page helpful?

